# Created by pyp2rpm-3.3.2
%global pypi_name natsort

%bcond_with doc

Name:           python-%{pypi_name}
Version:        8.4.0
Release:        %mkrel 5
Summary:        Simple yet flexible natural sorting in Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/SethMMorton/natsort
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(m2r)
%endif

%description
Simple yet flexible natural sorting in Python.

%package -n     python3-%{pypi_name}
Summary:        Simple yet flexible natural sorting in Python3
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
Simple yet flexible natural sorting in Python 3.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files natsort

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc html
%endif
%{_bindir}/natsort


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 8.4.0-5.mga10
+ Revision: 2237989
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 8.4.0-4.mga10
+ Revision: 2154223
- rebuild for python 3.13

* Thu Jan 23 2025 papoteur <papoteur> 8.4.0-3.mga10
+ Revision: 2140778
- remove tests

* Sat Dec 09 2023 wally <wally> 8.4.0-2.mga10
+ Revision: 2016662
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Sep 20 2023 papoteur <papoteur> 8.4.0-1.mga10
+ Revision: 1988352
- new 8.4.0

* Wed Mar 23 2022 umeabot <umeabot> 8.1.0-2.mga9
+ Revision: 1823558
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 8.1.0-1.mga9
+ Revision: 1783677
- version 8.1.0
- rebuild for python-3.10

* Sun Jun 20 2021 joequant <joequant> 7.1.1-1.mga9
+ Revision: 1731420
- update to 7.1.1

* Fri Apr 16 2021 daviddavid <daviddavid> 7.0.1-3.mga9
+ Revision: 1716018
- rebuild for python 3.9

* Sat Sep 19 2020 joequant <joequant> 7.0.1-2.mga8
+ Revision: 1628802
- bump
- update to 7.0.1
  don't include doc because it breaks with new versions
  of sphinx

* Sat Mar 21 2020 wally <wally> 7.0.1-1.mga8
+ Revision: 1558540
- new version 7.0.1

* Sun Feb 16 2020 umeabot <umeabot> 6.0.0-3.mga8
+ Revision: 1533107
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 6.0.0-2.mga8
+ Revision: 1443253
- rebuild for python-3.8

* Fri Apr 19 2019 wally <wally> 6.0.0-1.mga7
+ Revision: 1393564
- new version 6.0.0

* Thu Jan 17 2019 wally <wally> 5.5.0-1.mga7
+ Revision: 1357736
- imported package python-natsort

